<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: SmarActAxisStatus Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classSmarActAxisStatus-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SmarActAxisStatus Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="SmarActAxisStatus_8hpp_source.html">SmarActAxisStatus.hpp</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for SmarActAxisStatus:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActAxisStatus__coll__graph.png" border="0" usemap="#SmarActAxisStatus_coll__map" alt="Collaboration graph"/></div>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a31fb9213b96ce10ad9081cb5747175aa"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActAxisStatus.html#a31fb9213b96ce10ad9081cb5747175aa">SmarActAxisStatus</a> ()</td></tr>
<tr class="memitem:ac2fd80b4a4ac9963d23385689ab3b27b"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActAxisStatus.html#ac2fd80b4a4ac9963d23385689ab3b27b">~SmarActAxisStatus</a> ()</td></tr>
<tr class="memitem:a12377a1fef8aa39833f8ffcae2b756f6"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActAxisStatus.html#a12377a1fef8aa39833f8ffcae2b756f6">Status</a> ()</td></tr>
<tr class="memitem:a910c006a08e20c6f48e0baea8508d872"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActAxisStatus.html#a910c006a08e20c6f48e0baea8508d872">SetStatus</a> (unsigned int axisStatus)</td></tr>
<tr class="memitem:afe910d08d1eb8e84e780c15d9a98b8c9"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActAxisStatus.html#afe910d08d1eb8e84e780c15d9a98b8c9">GetDescription</a> ()</td></tr>
<tr class="memitem:aecfd763e6a5b5eb877e10f9ca1ab3c5d"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActAxisStatus.html#aecfd763e6a5b5eb877e10f9ca1ab3c5d">GetName</a> ()</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a118d77f6e70ef59a07d5176e9b2c3940"><td class="memItemLeft" align="right" valign="top">static QMap&lt; unsigned int, <br class="typebreak"/>
QString &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActAxisStatus.html#a118d77f6e70ef59a07d5176e9b2c3940">StatusMapDescription</a> ()</td></tr>
<tr class="memitem:a9335a95d2af8a8f1e599eb9e0415132e"><td class="memItemLeft" align="right" valign="top">static QMap&lt; unsigned int, <br class="typebreak"/>
QString &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActAxisStatus.html#a9335a95d2af8a8f1e599eb9e0415132e">StatusMapName</a> ()</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a0600a9e628902b1c7cf4be9ffcaed4f2"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActAxisStatus.html#a0600a9e628902b1c7cf4be9ffcaed4f2">_status</a></td></tr>
</table>
<h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a31fb9213b96ce10ad9081cb5747175aa"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SmarActAxisStatus::SmarActAxisStatus </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ac2fd80b4a4ac9963d23385689ab3b27b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">SmarActAxisStatus::~SmarActAxisStatus </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2>Member Function Documentation</h2>
<a class="anchor" id="afe910d08d1eb8e84e780c15d9a98b8c9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QString SmarActAxisStatus::GetDescription </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActAxisStatus_afe910d08d1eb8e84e780c15d9a98b8c9_cgraph.png" border="0" usemap="#classSmarActAxisStatus_afe910d08d1eb8e84e780c15d9a98b8c9_cgraph" alt=""/></div>
<map name="classSmarActAxisStatus_afe910d08d1eb8e84e780c15d9a98b8c9_cgraph" id="classSmarActAxisStatus_afe910d08d1eb8e84e780c15d9a98b8c9_cgraph">
<area shape="rect" id="node3" href="classSmarActAxisStatus.html#a118d77f6e70ef59a07d5176e9b2c3940" title="SmarActAxisStatus:\l:StatusMapDescription" alt="" coords="195,5,349,51"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="aecfd763e6a5b5eb877e10f9ca1ab3c5d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QString SmarActAxisStatus::GetName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActAxisStatus_aecfd763e6a5b5eb877e10f9ca1ab3c5d_cgraph.png" border="0" usemap="#classSmarActAxisStatus_aecfd763e6a5b5eb877e10f9ca1ab3c5d_cgraph" alt=""/></div>
<map name="classSmarActAxisStatus_aecfd763e6a5b5eb877e10f9ca1ab3c5d_cgraph" id="classSmarActAxisStatus_aecfd763e6a5b5eb877e10f9ca1ab3c5d_cgraph">
<area shape="rect" id="node3" href="classSmarActAxisStatus.html#a9335a95d2af8a8f1e599eb9e0415132e" title="SmarActAxisStatus:\l:StatusMapName" alt="" coords="195,5,336,51"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a910c006a08e20c6f48e0baea8508d872"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SmarActAxisStatus::SetStatus </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>axisStatus</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActAxisStatus_a910c006a08e20c6f48e0baea8508d872_icgraph.png" border="0" usemap="#classSmarActAxisStatus_a910c006a08e20c6f48e0baea8508d872_icgraph" alt=""/></div>
<map name="classSmarActAxisStatus_a910c006a08e20c6f48e0baea8508d872_icgraph" id="classSmarActAxisStatus_a910c006a08e20c6f48e0baea8508d872_icgraph">
<area shape="rect" id="node3" href="classSmarActActuatorAxis.html#a4dea2ffa4e4dee139ec935f42188391f" title="SmarActActuatorAxis\l::GetStatusSync" alt="" coords="196,5,343,51"/><area shape="rect" id="node5" href="classSmarActActuatorAxis.html#a05973d1934af4f04d075eb33a8d1911e" title="SmarActActuatorAxis\l::GotoSync" alt="" coords="591,59,737,106"/><area shape="rect" id="node7" href="classSmarActActuatorAxis.html#a444646ac12c7fe62ea8b89ebfdff1065" title="SmarActActuatorAxis\l::StopSync" alt="" coords="393,59,540,106"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a12377a1fef8aa39833f8ffcae2b756f6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int SmarActAxisStatus::Status </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a118d77f6e70ef59a07d5176e9b2c3940"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QMap&lt; unsigned int, QString &gt; SmarActAxisStatus::StatusMapDescription </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActAxisStatus_a118d77f6e70ef59a07d5176e9b2c3940_icgraph.png" border="0" usemap="#classSmarActAxisStatus_a118d77f6e70ef59a07d5176e9b2c3940_icgraph" alt=""/></div>
<map name="classSmarActAxisStatus_a118d77f6e70ef59a07d5176e9b2c3940_icgraph" id="classSmarActAxisStatus_a118d77f6e70ef59a07d5176e9b2c3940_icgraph">
<area shape="rect" id="node3" href="classSmarActAxisStatus.html#afe910d08d1eb8e84e780c15d9a98b8c9" title="SmarActAxisStatus:\l:GetDescription" alt="" coords="208,5,349,51"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a9335a95d2af8a8f1e599eb9e0415132e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QMap&lt; unsigned int, QString &gt; SmarActAxisStatus::StatusMapName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActAxisStatus_a9335a95d2af8a8f1e599eb9e0415132e_icgraph.png" border="0" usemap="#classSmarActAxisStatus_a9335a95d2af8a8f1e599eb9e0415132e_icgraph" alt=""/></div>
<map name="classSmarActAxisStatus_a9335a95d2af8a8f1e599eb9e0415132e_icgraph" id="classSmarActAxisStatus_a9335a95d2af8a8f1e599eb9e0415132e_icgraph">
<area shape="rect" id="node3" href="classSmarActAxisStatus.html#aecfd763e6a5b5eb877e10f9ca1ab3c5d" title="SmarActAxisStatus:\l:GetName" alt="" coords="195,5,336,51"/></map>
</div>
</p>

</div>
</div>
<h2>Member Data Documentation</h2>
<a class="anchor" id="a0600a9e628902b1c7cf4be9ffcaed4f2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int SmarActAxisStatus::_status</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="SmarActAxisStatus_8hpp_source.html">SmarActAxisStatus.hpp</a></li>
<li><a class="el" href="SmarActAxisStatus_8cpp.html">SmarActAxisStatus.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
